Name:           libytnef
Version:        1.5
Release:        8%{?dist}
Summary:        TNEF Stream Parser Library

Group:          System Environment/Libraries
License:        GPL+
URL:            http://ytnef.sf.net
Source0:        http://dl.sf.net/ytnef/libytnef-1.5.tar.bz
# fixes potential bufferoverflow
# rhbz#831322
Patch0:         libytnef-bufferoverflow.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
TNEF Stream Parser Library, used by "ytnef" to decode TNEF (winmail.dat)
streams generated by Microsoft Outlook.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b.bufferoverflow

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT includedir=%{_includedir}/%{name}
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/
%{_libdir}/*.so


%changelog
* Wed Jul 04 2012 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1.5-8
- fix potential buffer overflow (rhbz#831322)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 12 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 1.5-3
- Rebuilt for gcc43

* Thu Dec 20 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1.5-2
- fix license
- move includes to own subfolder

* Mon Dec 17 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1.5-1
- initial version
